{% extends 'Default/index.html.twig' %}

{% block main_content %}
  <section id="intro" class="my-4 mx-5">
    <div class="row">
      <div class="col-lg-12">
        <h2>{{ 'nav.admin.operatori' | trans }}</h2>
      </div>

      <div class="col-12">
        <table class="table table-striped table-condensed">
          <thead>
          <tr>
            <th>{{ 'general.nome'|trans }}</th>
            <th>{{ 'general.username'|trans }}</th>
            <th>{{ 'general.email'|trans }}</th>
            <th class="text-center">{{ 'enabled'|trans }}</th>
            <th>{{ 'operatori.ultima_modifica_password'|trans }}</th>
            <th aria-label="{{ 'no_value' | trans() }}"></th>
          </tr>
          </thead>
          <tbody>
          {% for item in admin_users %}
            <tr>
              <td>
                <a
                  href="{{ path('admin_administrator_users_edit', { 'id': item.id }) }}">{{ item.nome }} {{ item.getCognome }}</a>
              </td>
              <td>{{ item.username }}</td>
              <td>{{ item.email }}</td>
              <td class="text-center">
                <svg class="icon-expand icon {{ item.enabled ?  'icon-success' : 'icon-danger' }}">
                  <use
                    xlink:href="/bootstrap-italia/dist/svg/sprite.svg#{{ item.enabled ?  'it-check' : 'it-close' }}"></use>
                </svg>
              </td>
              <td>{% if item.lastChangePassword %}{{ item.lastChangePassword|format_datetime('medium', 'medium', locale=app.request.locale) }}{% else %} --- {% endif %}</td>
              <td class="actions text-right">
                <a class="btn btn-secondary btn-xs"
                   href="{{ path('admin_administrator_users_edit', { 'id': item.id }) }}">{{ 'modifica'|trans }}</a>
                <a class="btn btn-danger btn-xs" onclick="return confirm('{{ 'general.alert_elimina'|trans }}');"
                   href="{{ path('admin_administrator_users_delete', { 'id': item.id }) }}">{{ 'elimina'|trans }}</a>
              </td>
            </tr>
          {% endfor %}
          </tbody>
        </table>
      </div>
      <div class="col-12">
          <a class="btn btn-primary" href="{{ path('admin_administrator_users_new') }}">
            {{ 'aggiungi'|trans }}
          </a>
      </div>
    </div>
  </section>
{% endblock %}
